Subject: Re: [PATCH v3] git-jump: pick a mode automatically when invoked without arguments

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 May 2026 23:00:46 +0900

"Greg Hurrell via GitGitGadget" <[email-masked]> writes:

>      * Removed stray # from README.
>      * Don't both teaching "auto" to select "ws" mode, because it is always
>        subsumed by "diff".
>      * Update usage string to make clear that git jump --stdout foo is not a
>        synonym for git jump --stdout auto foo, because distinguishing
>        between foo as <mode> and foo as <arg> is fraught with ambiguity.
>     
>     In answer to Junio's question:
>     
>     > If more than one interesting cases apply, what happens, and what
>     > should happen?
>     
>     it's an ordered choice (merge > diff).

After 'diff --quiet "$@"' says "nothing interesting between the
index and the working tree", I actually think it may be worth using
either 'git diff --check HEAD "$@"' or 'git diff --cached --check "$@"'
to see if ws fix is needed.

But I am not a target audience of this feature, so I'll let others
figure out what to do here.